Slack

Set Slack Notifications

PUT
/v1/slack/notifications
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

channelIdstring
Length1 <= length <= 40
channelNamestring
Length1 <= length <= 90
minRelevance?integer|null
Range0 <= value <= 100
sources?array<string>
Itemsitems <= 9

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.mentio.dev/v1/slack/notifications" \  -H "Content-Type: application/json" \  -d '{    "channelId": "string",    "channelName": "string"  }'
{
  "configured": true,
  "connected": true,
  "teamName": "string",
  "notifications": {
    "channelId": "string",
    "channelName": "string",
    "minRelevance": 100,
    "sources": [
      "bluesky"
    ]
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}